Bug 783130 - gnuradio-examples contains outdated examples
gnuradio-examples contains outdated examples
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnuradio (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-19 08:45 EST by Stefan Seefeld
Modified: 2013-02-13 21:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:04:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2012-01-19 08:45:05 EST
Description of problem:

example code from gnuradio-examples uses code that is no longer valid. For example, running `python /usr/share/gnuradio/examples/hf_radio/radio.py` yields 

Traceback (most recent call last):
  File "/usr/share/gnuradio/examples/hf_radio/radio.py", line 19, in <module>
    from gnuradio import blks
ImportError: cannot import name blks


It appears the "blks" module was valid in a previous gnuradio version, but is no longer part of gnuradio.
Comment 1 Jaroslav Škarvada 2012-01-20 08:29:07 EST
It seems not to be easily fixable. It is broken in gnuradio-3.4.2. Upstream rewrote it for gnuradio-3.5, but switched to uhd. I cannot upgrade to gnuradio-3.5 in f16, thus I tried to backport it to gnuradio-3.4.2. But unfortunately I have no testing HW here, please test the experimental build and let me know the results:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3717401
Comment 2 Fedora End Of Life 2013-02-13 21:04:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.